#ifdef __cplusplus
extern "C" {
#endif
 int cdiv_(double *ar, double *ai, double *br, double *bi, double *cr, double *ci);
 int csroot_(double *xr, double *xi, double *yr, double *yi);
 double epslon_(double *x);
 double pythag_(double *a, double *b);
 int bakvec_(long *nm, long *n, double *t, double *e, long *m, double *z, long *ierr);
 int balanc_(long *nm, long *n, double *a, long *low, long *igh, double *scale);
 int balbak_(long *nm, long *n, long *low, long *igh, double *scale, long *m, double *z);
 int bandr_(long *nm, long *n, long *mb, double *a, double *d, double *e, double *e2, logical *matz, double *z);
 int bandv_(long *nm, long *n, long *mbw, double *a, double *e21, long *m, double *w, double *z, long *ierr, long *nv, double *rv, double *rv6);
 int bisect_(long *n, double *eps1, double *d, double *e, double *e2, double *lb, double *ub, long *mm, long *m, double *w, long *ind, long *ierr, double *rv4, double *rv5);
 int bqr_(long *nm, long *n, long *mb, double *a, double *t, double *r, long *ierr, long *nv, double *rv);
 int cbabk2_(long *nm, long *n, long *low, long *igh, double *scale, long *m, double *zr, double *zi);
 int cbal_(long *nm, long *n, double *ar, double *ai, long *low, long *igh, double *scale);
 int cg_(long *nm, long *n, double *ar, double *ai, double *wr, double *wi, long *matz, double *zr, double *zi, double *fv1, double *fv2, double *fv3, long *ierr);
 int ch_(long *nm, long *n, double *ar, double *ai, double *w, long *matz, double *zr, double *zi, double *fv1, double *fv2, double *fm1, long *ierr);
 int cinvit_(long *nm, long *n, double *ar, double *ai, double *wr, double *wi, logical *select, long *mm, long *m, double *zr, double *zi, long *ierr, double *rm1, double *rm2, double *rv1, double *rv2);
 int combak_(long *nm, long *low, long *igh, double *ar, double *ai, long *int__, long *m, double *zr, double *zi);
 int comhes_(long *nm, long *n, long *low, long *igh, double *ar, double *ai, long *int__);
 int comlr_(long *nm, long *n, long *low, long *igh, double *hr, double *hi, double *wr, double *wi, long *ierr);
 int comlr2_(long *nm, long *n, long *low, long *igh, long *int__, double *hr, double *hi, double *wr, double *wi, double *zr, double *zi, long *ierr);
 int comqr_(long *nm, long *n, long *low, long *igh, double *hr, double *hi, double *wr, double *wi, long *ierr);
 int comqr2_(long *nm, long *n, long *low, long *igh, double *ortr, double *orti, double *hr, double *hi, double *wr, double *wi, double *zr, double *zi, long *ierr);
 int cortb_(long *nm, long *low, long *igh, double *ar, double *ai, double *ortr, double *orti, long *m, double *zr, double *zi);
 int corth_(long *nm, long *n, long *low, long *igh, double *ar, double *ai, double *ortr, double *orti);
 int elmbak_(long *nm, long *low, long *igh, double *a, long *int__, long *m, double *z);
 int elmhes_(long *nm, long *n, long *low, long *igh, double *a, long *int__);
 int eltran_(long *nm, long *n, long *low, long *igh, double *a, long *int__, double *z);
 int figi_(long *nm, long *n, double *t, double *d, double *e, double *e2, long *ierr);
 int figi2_(long *nm, long *n, double *t, double *d, double *e, double *z, long *ierr);
 int hqr_(long *nm, long *n, long *low, long *igh, double *h, double *wr, double *wi, long *ierr);
 int hqr2_(long *nm, long *n, long *low, long *igh, double *h, double *wr, double *wi, double *z, long *ierr);
 int htrib3_(long *nm, long *n, double *a, double *tau, long *m, double *zr, double *zi);
 int htribk_(long *nm, long *n, double *ar, double *ai, double *tau, long *m, double *zr, double *zi);
 int htrid3_(long *nm, long *n, double *a, double *d, double *e, double *e2, double *tau);
 int htridi_(long *nm, long *n, double *ar, double *ai, double *d, double *e, double *e2, double *tau);
 int imtql1_(long *n, double *d, double *e, long *ierr);
 int imtql2_(long *nm, long *n, double *d, double *e, double *z, long *ierr);
 int imtqlv_(long *n, double *d, double *e, double *e2, double *w, long *ind, long *ierr, double *rv1);
 int invit_(long *nm, long *n, double *a, double *wr, double *wi, logical *select, long *mm, long *m, double *z, long *ierr, double *rm1, double *rv1, double *rv2);
 int minfit_(long *nm, long *m, long *n, double *a, double *w, long *ip, double *b, long *ierr, double *rv1);
 int ortbak_(long *nm, long *low, long *igh, double *a, double *ort, long *m, double *z);
 int orthes_(long *nm, long *n, long *low, long *igh, double *a, double *ort);
 int ortran_(long *nm, long *n, long *low, long *igh, double *a, double *ort, double *z);
 int qzhes_(long *nm, long *n, double *a, double *b, logical *matz, double *z);
 int qzit_(long *nm, long *n, double *a, double *b, double *eps1, logical *matz, double *z, long *ierr);
 int qzval_(long *nm, long *n, double *a, double *b, double *alfr, double *alfi, double *beta, logical *matz, double *z);
 int qzvec_(long *nm, long *n, double *a, double *b, double *alfr, double *alfi, double *beta, double *z);
 int ratqr_(long *n, double *eps1, double *d, double *e, double *e2, long *m, double *w, long *ind, double *bd, logical *type, long *idef, long *ierr);
 int rebak_(long *nm, long *n, double *b, double *dl, long *m, double *z);
 int rebakb_(long *nm, long *n, double *b, double *dl, long *m, double *z);
 int reduc_(long *nm, long *n, double *a, double *b, double *dl, long *ierr);
 int reduc2_(long *nm, long *n, double *a, double *b, double *dl, long *ierr);
 int rg_(long *nm, long *n, double *a, double *wr, double *wi, long *matz, double *z, long *iv1, double *fv1, long *ierr);
 int rgg_(long *nm, long *n, double *a, double *b, double *alfr, double *alfi, double *beta, long *matz, double *z, long *ierr);
 int rs_(long *nm, long *n, double *a, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
 int rsb_(long *nm, long *n, long *mb, double *a, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
 int rsg_(long *nm, long *n, double *a, double *b, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
 int rsgab_(long *nm, long *n, double *a, double *b, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
 int rsgba_(long *nm, long *n, double *a, double *b, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
 int rsm_(long *nm, long *n, double *a, double *w, long *m, double *z, double *fwork, long *iwork, long *ierr);
 int rsp_(long *nm, long *n, long *nv, double *a, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
 int rst_(long *nm, long *n, double *w, double *e, long *matz, double *z, long *ierr);
 int rt_(long *nm, long *n, double *a, double *w, long *matz, double *z, double *fv1, long *ierr);
 int svd_(long *nm, long *m, long *n, double *a, double *w, logical *matu, double *u, logical *matv, double *v, long *ierr, double *rv1);
 int tinvit_(long *nm, long *n, double *d, double *e, double *e2, long *m, double *w, long *ind, double *z, long *ierr, double *rv1, double *rv2, double *rv3, double *rv4, double *rv6);
 int tql1_(long *n, double *d, double *e, long *ierr);
 int tql2_(long *nm, long *n, double *d, double *e, double *z, long *ierr);
 int tqlrat_(long *n, double *d, double *e2, long *ierr);
 int trbak1_(long *nm, long *n, double *a, double *e, long *m, double *z);
 int trbak3_(long *nm, long *n, long *nv, double *a, long *m, double *z);
 int tred1_(long *nm, long *n, double *a, double *d, double *e, double *e2);
 int tred2_(long *nm, long *n, double *a, double *d, double *e, double *z);
 int tred3_(long *n, long *nv, double *a, double *d, double *e, double *e2);
 int tridib_(long *n, double *eps1, double *d, double *e, double *e2, double *lb, double *ub, long *m11, long *m, double *w, long *ind, long *ierr, double *rv4, double *rv5);
 int tsturm_(long *nm, long *n, double *eps1, double *d, double *e, double *e2, double *lb, double *ub, long *mm, long *m, double *w, double *z, long *ierr, double *rv1, double *rv2, double *rv3, double *rv4, double *rv5, double *rv6);
#ifdef __cplusplus
}
#endif
